#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
;#SingleInstance force

symids:="EURAUD,GBPAUD,EURCAD,GBPCAD,EURCHF,GBPCHF,EURJPY,GBPJPY,EURNZD,GBPNZD,EURUSD,GBPUSD,EURGBP,AUDCAD,NZDCAD,AUDCHF,NZDCHF,AUDJPY,NZDJPY,AUDUSD,NZDUSD,AUDNZD,CADCHF,USDCHF,CADJPY,USDJPY,USDCAD,CHFJPY,AUDSGD,CHFSGD,SGDJPY,GBPSGD,EURSGD,USDSGD,NOKSEK,NOKJPY,SEKJPY,ZARJPY,GBPMXN,EURMXN,USDMXN,GBPNOK,EURNOK,USDNOK,GBPSEK,EURSEK,USDSEK,GBPTRY,EURTRY,USDTRY,EURCZK,USDCZK,EURHUF,USDHUF,EURPLN,USDPLN,EURZAR,USDZAR,USDCNH,USDRUB,USDTHB,XAUAUD,XAUCHF,XAUEUR,XAUGBP,XAUUSD,XAGAUD,XAGEUR,XAGUSD,XPDUSD,XPTUSD,XNGUSD,XBRUSD,XTIUSD,AUS200,JPN225,CN50,HK50,SCI25,EUSTX50,FRA40,GER30,IT40,SPA35,UK100,US30,US500,US2000,NAS100,BIO30,CAN20,FNG10,GRN30,LAT30,Bitcoin,BitcoinCash,Ethereum,Crypto10,Crypto20,Crypto30,Sugar,Cocoa,Coffee,Cotton,OrangeJuice"
suffix:=""
r1:=1.0
r2:=2.0
r3:=50
pgs:=0

DisplayGUI:
; Gui window..........
Gui, Font,, Verdana
Gui, Add, Text, x10 y10, Symbol IDs
Gui, Add, Text, x10 yp+115, Symbol suffix
Gui, Add, Text, xp yp+46, Timeframes
Gui, Add, Text, xp yp+76, Delay between timeframes (seconds)
Gui, Add, Text, xp yp+31, Delay between symbols (seconds)
Gui, Add, Text, x400 yp, Delay between pages (milliseconds)
Gui, Add, Text, x400 yp-31, Amount of Historical data (pages)

Gui, Add, Edit, vsymids x100 y10 w700 r7, %symids%
Gui, Add, Edit, vsuffix xp yp+110 w100, %suffix%
Gui, Add, Checkbox, vt1 x100 yp+50 , M1
Gui, Add, Checkbox, vt2 xp+50 yp , M2
Gui, Add, Checkbox, vt3 xp+50 yp , M3
Gui, Add, Checkbox, vt4 xp+50 yp , M4
Gui, Add, Checkbox, vt5 xp+50 yp , M5
Gui, Add, Checkbox, vt6 xp+50 yp , M6
Gui, Add, Checkbox, vt7 xp+50 yp , M10
Gui, Add, Checkbox, vt8 xp+50 yp , M12
Gui, Add, Checkbox, vt9 xp+50 yp , M15
Gui, Add, Checkbox, vt10 xp+50 yp , M20
Gui, Add, Checkbox, vt11 xp+50 yp , M30
Gui, Add, Checkbox, vt12 x100 yp+25 , H1
Gui, Add, Checkbox, vt13 xp+50 yp , H2
Gui, Add, Checkbox, vt14 xp+50 yp , H3
Gui, Add, Checkbox, vt15 xp+50 yp , H4
Gui, Add, Checkbox, vt16 xp+50 yp , H6
Gui, Add, Checkbox, vt17 xp+50 yp , H8
Gui, Add, Checkbox, vt18 xp+50 yp , H12
Gui, Add, Checkbox, vt19 xp+50 yp Checked, D1
Gui, Add, Checkbox, vt20 xp+50 yp , W1
Gui, Add, Checkbox, vt21 xp+50 yp , MN
Gui, Add, Edit, vr1 x250 yp+50 w50 h20, %r1%
Gui, Add, Edit, vpgs x620 yp w50 hp, %pgs%
Gui, Add, Edit, vr2 x250 yp+30 w50 hp, %r2%
Gui, Add, Edit, vr3 x620 yp w50 hp, %r3%

Gui, Add, Button, x320 yp+50 w100 h30 Default, OK
Gui, Add, Button, wp hp xp+120 yp, Exit
Gui, Show, AutoSize Center, Quick View Charts
return

GuiClose:
GuiEscape:
ButtonExit:
ExitApp

ButtonOK:
Gui, Submit, NoHide
str:=r1 "," r2 "," r3 "," suffix "," pgs "," symids
SplashTextOn, 600, 30, Load MT4 price history, Now go to MT4, open a blank chart, and then press Ctrl-Z
return

PageUpRepeat(count=20, delay=100)
{  
   Loop, %count% {
    Send { pgup } 
    Sleep, %delay%
   }
}

^z::
  arr      := StrSplit(str,",")
  rest     := arr[1]*1000
  ccyrest  := arr[2]*1000
  pguprest := arr[3]
  suffix   := arr[4]
  pageups  := arr[5]
;  Send, {NumpadSub 6}
  Loop % arr.MaxIndex()-5  {
    ccy:=arr[A_Index+5] ; suffix
  pct:= "(" A_Index "/" arr.MaxIndex()-5 ")"
    SplashTextOn, 0, 0, Processing, %ccy%  %pct%
    if (t1=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M1{enter} ;{end} ; increase number of pageups to increase amount of historical data loaded
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }

    if (t2=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M2{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t3=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M3{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t4=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M4{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t5=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M5{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t6=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M6{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t7=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M10{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t8=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M12{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t9=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M15{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t10=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M20{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t11=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},M30{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t12=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H1{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t13=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H2{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t14=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H3{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t15=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H4{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t16=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H6{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t17=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H8{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t18=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},H12{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t19=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},D1{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t20=1) {
      Send, {enter}{bs 15}%ccy%{%suffix%},W{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    if (t21=1) {
      SendInput, {enter}{bs 15}%ccy%{%suffix%},MN{enter} ;{end}
    PageUpRepeat(pageups, pguprest)
      Sleep, %rest%
    }
    Sleep, %ccyrest%
  }
  SplashTextOff,
  MsgBox, , All done!!, Click OK to end
  ExitApp  
  return  

  
;=================================================================
; #Include Extensible Functions.ahk
